
// ChildClass.h

// Do not reproduce without permission in writing.
// All rights reserved.

#ifndef Vis_ChildClass
#define Vis_ChildClass

namespace Vis { class SomeClass; }
namespace Vis { class ChildClass; }

#include <boost/shared_ptr.hpp> // smart pointer
#include <boost/shared_array.hpp> // smart pointer
#include <Visualization/RootView.h> // parent
#include <Visualization/VolumeTexture.h> // member
#include <Visualization/Texture.h> // member
#include <Visualization/Viewpoint.h> // member
//#include <Visualization/LevelWidthInterface.h> // parent
//#include <Visualization/NavigationInterface.h> // parent interface
#include <Visualization/VolumeInterface.h> // parent
#include <ADLII/Core/GreyImage.h>

//! This class is intended for rendering slices from a single volume.
//! The volume can be from many types of data, including CT, MR, Iso-C, etc.
//! Future extensions for rendering multiple volumes should not be included
//! here, but should become a new view.
class Vis::ChildClass : public Vis::View
{
public:

    ChildClass(void);
};

#endif // Vis_ChildClass
